package com.bootdo.system.service;

import com.bootdo.system.domain.AuthNetDeviceVo;
import com.bootdo.system.domain.RegistrationDO;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Map;

/**
 * 设备注册信息
 * 
 * @author chglee
 * @email 1992lcg@163.com
 * @date 2021-06-07 14:25:45
 */
@Service
public interface RegistrationService {
	
	RegistrationDO get(Long id);
	
	List<RegistrationDO> list(Map<String, Object> map);
	
	int count(Map<String, Object> map);
	
	int save(RegistrationDO registration);
	
	int update(RegistrationDO registration);
	
	int remove(Long id);
	
	int batchRemove(Long[] ids);
}
